import request from '@/utils/request';

/**
 * 获取登录用户信息
 * @returns
 */
export function getUserInfo() {
  return request({
    url: '/maintain/user/mine',
    method: 'GET',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 更新登录用户信息
 * @returns
 */
export function updateUserInfo(data) {
  return request({
    url: '/maintain/user/mine',
    method: 'PUT',
    data: data,
  });
}
